------------------------------------------------------------------------------------
--Name:  	juqing4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2024-10-25
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(273, 201)
CppScriptMgr:ShakeScrEffect(1)
local Player_1 = CppScriptMgr:QueryHero()
Player_1:SetPos(263, 200)
Player_1:SetDir(6)
local Player_3 = CppScriptMgr:AddSimplePlayer(1060324, 271, 213, "Pann", 0, 0)
Player_3:SetDir(4)
local Player_4 = CppScriptMgr:AddSimplePlayer(1060331, 282, 202, "CatCommander", 0, 0)
Player_4:SetDir(1)
local Player_5 = CppScriptMgr:AddSimplePlayer(1060310, 270, 192, "Buffy", 0, 0)
Player_5:SetDir(0)
CppScriptMgr:WaitMilSec(1020)
local effect_role_0 = ChangeSize(271, 201, "yuanshen61", 5, 150, 10, 33)
CppScriptMgr:WaitMilSec(980)
Player_1:Say("???", 1000)
Player_3:Say("???", 1000)
Player_4:Say("???", 1000)
Player_5:Say("???", 1000)
CppScriptMgr:WaitMilSec(1950)
CppScriptMgr:NpcCallOut("So interesting! Do you think it`s all over?", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "Mysterious Figure", 250, 655, false)
CppScriptMgr:WaitMilSec(2500)
CppScriptMgr:NpcCallOut("Chapter One of `Doomsday Tale`: The servant perishes at the hands of the betrayer...", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "Mysterious Figure", 250, 655, false)
CppScriptMgr:WaitMilSec(2290)
CppScriptMgr:ShakeScrEffect(3)
CppScriptMgr:WaitMilSec(210)
CppScriptMgr:NpcCallOut("So, the story has just begun... Await the coming of doomsday! ", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc10086", 150, 430, "Mysterious Figure", 250, 655, false)
CppScriptMgr:WaitMilSec(1550)
Player_5:Say("!!", 1000)
CppScriptMgr:WaitMilSec(950)
Player_1:Say("!!", 1000)
Player_3:Say("!!", 1000)
Player_4:Say("!!", 1000)
CppScriptMgr:WaitMilSec(1550)